New Introducing the Light partner portalPartner portal Join the movement

Get self-billed e-invoice

GET
https://api.light.inc/v1/einvoicing/self-billed-einvoices/{id}

Returns a self-billed e-invoice by ID

Authorization

Send one of these on every request. See Authentication for how to get credentials.

  • API key

    Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

  • Bearer token

Path parameters

  • id string · uuidrequired

Response

  • id string · uuid

  • companyEntityId string · uuid

  • accountingDocumentId string · uuid

    The bill the e-invoice was created for. Null once the bill is deleted

  • accountingDocumentType string

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of AP AR BP CC CN CT DE FX JE YC

  • linkedSelfBilledEInvoiceId string · uuid

  • type string

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of SELF_BILLED_CREDIT_NOTE SELF_BILLED_INVOICE

  • network string

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of FINVOICE FR_PA MYDATA NEMHANDEL PEPPOL PORTUGUESE_TAX_REPORTING SDI VERIFACTU

  • selfBilledEInvoiceNumber string

  • issueDate string · date

    The date on the self-billed e-invoice

  • deadline string · date

    The last day to send the e-invoice to the network

  • documentNumber string

    The number on the supplier's document

  • documentDate string · date

    The date of the supplier's document

  • currency string

  • amount integer · int64

    Total amount in cents, expressed in the invoice currency.

  • netAmount integer · int64

    Net amount in cents, expressed in the invoice currency.

  • taxAmount integer · int64

    Tax amount in cents, expressed in the invoice currency.

  • buyerName string

  • buyerVatNumber string

  • supplierName string

  • supplierVatNumber string

  • status string

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of ACCEPTED ARCHIVED DRAFT FAILED SUBMITTED

  • failureContext object

    Failure context when vendor onboarding fails.

    • name string

      The error name

    • type string

      The error type

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of BAD_REQUEST UNAUTHORIZED FORBIDDEN NOT_FOUND CONFLICT UNPROCESSABLE_CONTENT

    • errors array of object

      List of errors providing details about what went wrong

      • type string

        A string code identifying the error type

      • message string

        A human-readable message providing more details about the error

      • path array of string

        Optional path of the error when the error is for a specific field. Used mostly on BAD_REQUEST errors, that path will match the field name on the request object

      • context object

        Optional context providing additional information about the error. This can include any relevant data that might help in understanding or resolving the error

  • einvoiceId string

  • submittedAt string · date-time

  • createdAt string · date-time

  • sdiTdCode string

    The SDI document type code. Only set on the SDI network

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of TD16 TD17 TD18 TD19 TD20 TD21 TD22 TD23 TD28